import { queryOptions } from '@tanstack/react-query';
import { getMasterReviewItems } from './service';

export const masterReviewKeys = {
  all: ['master-review'] as const,
  list: () => [...masterReviewKeys.all, 'list'] as const
};

export const masterReviewQueryOptions = () =>
  queryOptions({
    queryKey: masterReviewKeys.list(),
    queryFn: () => getMasterReviewItems()
  });
